Class | StaticHash
In: | lib/facets/more/statichash.rb
Parent: | Hash

# StaticHash

A Hash object which raises an error if any previously-defined key attempts to be set again.

## Synopsis

      foo = Hash::Static.new
      foo['name'] = 'Tom'    #=> 'Tom'
      foo['age']  = 30       #=> 30
      foo['name'] = 'Bob'

produces

      Error: StaticHash has value for key 'name' in object:
          {"name"=>"Tom", "age"=>30} (RuntimeError)

### Methods

[]=

### Public Instance methods

[]=(key,val)

Set a value for a key; raises an error if that key already exists with a different value.

[Validate]